 //------------------------------------------------
// Author   : ThirdWolf
// 
// CopyRight: By ThirdWolf ,All Rights Reserved
// Comments : This Comments must reserved when you use uskin lib.
//            if you use uskin in free mode,you must show thirwolf,
//			  www.thirdwolf.com,uskin in you help about message
//			  box or in you help file about page.
//------------------------------------------------
#ifndef _USKININCLUDE_H_
#define _USKININCLUDE_H_

#ifdef USKIN_DLL
	#define USKIN_DECLARE  _declspec(dllexport)
#else
	#define USKIN_DECLARE
	#ifdef USKIN_DLL_IMPORT
		#undef USKIN_DECLARE
		#define USKIN_DECLARE  _declspec(dllimport)
	#endif

	#ifdef USKIN_LIB_IMPORT
		#pragma comment(lib,"USkin_StaticLib.lib")
		#pragma message("Automatically linking USkin_StaticLib.lib") 
	#endif

	#ifdef USKIN_DLL_IMPORT
		#pragma comment(lib,"USkin.lib") 
		#pragma message("Automatically linking USkin.lib") 
	#endif
#endif
#pragma pack(push, 8)

//Function	:Init USkin
//Param		: char* lpszFileName 
//		  	Skin File Name .For example "corona.uskn"
//Return	: BOOL
//Desc		: Must call in first step
USKIN_DECLARE BOOL  __stdcall USkin_InitUSkin(char* lpszUserName,char* lpszRegCode,char* lpszFileName);
//Exit USkin
USKIN_DECLARE BOOL  __stdcall USkin_ExitUSkin();

//Like Init USkin ,but to change skin
USKIN_DECLARE BOOL  __stdcall USkin_LoadUSkin(char* lpszFileName);
//Popup Message Box Show Skin File Info
USKIN_DECLARE void	__stdcall USkin_AboutSkin();
//Restore to windows default theme
USKIN_DECLARE BOOL  __stdcall USkin_RemoveUSkin();
//If use RemoveUSkin To Restore to windows default theme
//Use this function will restore to uskin theme
USKIN_DECLARE BOOL  __stdcall USkin_RestoreUSkin();
//Apply Skin Effect In Hue Saturation Way
//fHue 0.0f-360.f
//fSaturation 0.0f - 1.0f
USKIN_DECLARE void __stdcall USkin_ApplyEffectHS(float fHue,float fSaturation);
//Get Window Menu
USKIN_DECLARE HMENU __stdcall USkin_GetMenuEx(HWND hWnd);
#pragma pack(pop)
#endif
